Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455071 - Review Request: xfce4-mpc-plugin - MPD client for the Xfce panel
Summary: Review Request: xfce4-mpc-plugin - MPD client for the Xfce panel
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 20:17 UTC by Christoph Wickert
Modified: 2015-03-29 02:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-14 09:52:10 UTC
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2008-07-11 20:17:18 UTC
Spec URL: http://cwickert.fedorapeople.org/review/xfce4-mpc-plugin.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfce4-mpc-plugin-0.3.3-1.fc10.src.rpm
Description: A simple client plugin for MPD, the Music Player Daemon.

Comment 1 Kevin Fenzi 2008-07-13 04:03:55 UTC
I would be happy to review this. Look for a full review in a bit. 


Comment 2 Kevin Fenzi 2008-07-13 04:07:40 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
See below - License (BSD)
See below - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
b4f7f67589f34f77973a51dd5069712d  xfce4-mpc-plugin-0.3.3.tar.gz
b4f7f67589f34f77973a51dd5069712d  xfce4-mpc-plugin-0.3.3.tar.gz.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have sane scriptlets.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Is the License tag here really BSD?
I think it should be "ISC"
http://www.isc.org/index.pl?/sw/dhcp/dhcp-copyright.php
(well, it's ISC style)



Comment 3 Christoph Wickert 2008-07-13 13:49:14 UTC
Yes, it's ISC but not BSD. Can I change that after import or do you want me to
do it now?

Comment 4 Kevin Fenzi 2008-07-13 19:27:45 UTC
When you import is fine with me. 

I don't see any other issues, so this is APPROVED.


Comment 5 Christoph Wickert 2008-07-13 20:52:01 UTC
New Package CVS Request
=======================
Package Name: xfce4-mpc-plugin
Short Description: MPD client for the Xfce panel
Owners: cwickert
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes


Comment 6 Kevin Fenzi 2008-07-14 03:03:19 UTC
cvs done.

Comment 7 Fedora Update System 2008-07-14 09:46:34 UTC
xfce4-mpc-plugin-0.3.3-1.fc9 has been submitted as an update for Fedora 9

Comment 8 Fedora Update System 2008-07-14 09:48:11 UTC
xfce4-mpc-plugin-0.3.3-1.fc8 has been submitted as an update for Fedora 8

Comment 9 Christoph Wickert 2008-07-14 09:52:10 UTC
Thanks for the review, Kevin. If you want to do another bug #455083 is still
left. ;)

Comment 10 Fedora Update System 2008-07-15 12:14:15 UTC
xfce4-mpc-plugin-0.3.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2008-07-15 12:16:45 UTC
xfce4-mpc-plugin-0.3.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Mukundan Ragavan 2015-03-29 02:15:03 UTC
Package Change Request
======================
Package Name: xfce4-mpc-plugin
New Branches: epel7
Owners: cwickert nonamedotc
InitialCC: nonamedotc

Comment 13 Gwyn Ciesla 2015-03-29 02:40:50 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.